Mike Gilbert avatar Mike Gilbert committed 7ba6e40

net-misc/openswan: Remove

Comments (0)

Files changed (6)

net-misc/openswan/Manifest

-DIST openswan-2.6.34.tar.gz 11217907 RMD160 6cc289ff7dfa29e9915384e046963d915b6202e6 SHA1 033349b98401e756027029cfae1afd17a08ac863 SHA256 7950e6fb116b99ed1fc2de57f62c01da494a2e38a9b17e884a03e0e2431245bf

net-misc/openswan/files/ipsec-initd

-#!/sbin/runscript
-# Copyright 1999-2008 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/net-misc/openswan/files/ipsec-initd,v 1.1 2008/09/21 12:42:32 mrness Exp $
-
-depend() {
-	need net logger
-	after dns
-}
-
-start() {
-	ebegin "Starting IPSec"
-	ipsec setup --start
-	eend $?
-}
-
-stop() {
-	ebegin "Stopping IPSec"
-	ipsec setup --stop
-	eend $?
-}
-
-status() {
-	if [ "$RC_QUIET" != "yes" ]; then
-		ipsec setup --status
-	fi
-}

net-misc/openswan/files/openswan-2.6-allow-ms-bad-proposal.patch

-diff -Nru openswan-2.6.23.orig/programs/pluto/Makefile openswan-2.6.23/programs/pluto/Makefile
---- openswan-2.6.23.orig/programs/pluto/Makefile	2009-09-09 02:42:54.000000000 +0200
-+++ openswan-2.6.23/programs/pluto/Makefile	2009-09-11 19:27:47.000000000 +0200
-@@ -43,6 +43,7 @@
- # End of configuration coping options.
- 
- CPPFLAGS = $(HDRDIRS) $(DEFINES) \
-+	-DALLOW_MICROSOFT_BAD_PROPOSAL \
- 	-DSHARED_SECRETS_FILE=\"${FINALCONFDIR}/ipsec.secrets\" \
- 	-DPOLICYGROUPSDIR=\"${FINALCONFDDIR}/policies\" \
- 	-DPERPEERLOGDIR=\"${FINALLOGDIR}/pluto/peer\"

net-misc/openswan/files/openswan-2.6.34-gentoo.patch

-From 7d8758670033519dd1172947c52ec404bac669c5 Mon Sep 17 00:00:00 2001
-From: Mike Gilbert <floppymaster@gmail.com>
-Date: Sat, 25 Jun 2011 17:38:59 -0400
-Subject: [PATCH] Apply gentoo patch
-
----
- Makefile.inc                    |    2 +-
- lib/libcrypto/libmd5/Makefile   |    2 +-
- lib/libcrypto/libsha1/Makefile  |    2 +-
- lib/libcrypto/libsha2/Makefile  |    2 +-
- lib/libdns/Makefile             |    2 +-
- lib/libipsecconf/Makefile       |    2 +-
- lib/libisc/Makefile             |    2 +-
- lib/liblwres/Makefile           |    2 +-
- lib/libopenswan/Makefile        |    2 +-
- packaging/makefiles/module.make |    1 -
- programs/Makefile.program       |    8 +-------
- programs/pluto/Makefile.options |    5 +++--
- programs/rsasigkey/Makefile     |    3 ++-
- programs/setup/Makefile         |   10 ++--------
- programs/showhostkey/Makefile   |    2 +-
- 15 files changed, 18 insertions(+), 29 deletions(-)
-
-diff --git a/Makefile.inc b/Makefile.inc
-index b52da66..d20ac0e 100644
---- a/Makefile.inc
-+++ b/Makefile.inc
-@@ -49,7 +49,7 @@ SHELL=/bin/sh
- DESTDIR?=
- 
- # "local" part of tree, used in building other pathnames
--INC_USRLOCAL=/usr/local
-+INC_USRLOCAL?=/usr
- 
- # PUBDIR is where the "ipsec" command goes; beware, many things define PATH
- # settings which are assumed to include it (or at least, to include *some*
-diff --git a/lib/libcrypto/libmd5/Makefile b/lib/libcrypto/libmd5/Makefile
-index 2d6c566..948ba38 100644
---- a/lib/libcrypto/libmd5/Makefile
-+++ b/lib/libcrypto/libmd5/Makefile
-@@ -12,7 +12,7 @@ LIB=libmd5.a
- 
- ifeq ($(USE_LIBNSS),true)
- CFLAGS+=-DHAVE_LIBNSS
--CFLAGS+=-I/usr/include/nspr4 -I/usr/include/nss3
-+CFLAGS+=-I/usr/include/nspr -I/usr/include/nss
- endif
- 
- include ${srcdir}../../Makefile.library
-diff --git a/lib/libcrypto/libsha1/Makefile b/lib/libcrypto/libsha1/Makefile
-index a2c006c..1f7bc3e 100644
---- a/lib/libcrypto/libsha1/Makefile
-+++ b/lib/libcrypto/libsha1/Makefile
-@@ -12,7 +12,7 @@ LIB=libsha1.a
- 
- ifeq ($(USE_LIBNSS),true)
- CFLAGS+=-DHAVE_LIBNSS  
--CFLAGS+=-I/usr/include/nspr4 -I/usr/include/nss3
-+CFLAGS+=-I/usr/include/nspr -I/usr/include/nss
- endif
- 
- 
-diff --git a/lib/libcrypto/libsha2/Makefile b/lib/libcrypto/libsha2/Makefile
-index 7db2862..7f1517f 100644
---- a/lib/libcrypto/libsha2/Makefile
-+++ b/lib/libcrypto/libsha2/Makefile
-@@ -15,5 +15,5 @@ include ${srcdir}../../Makefile.library
- 
- ifeq ($(USE_LIBNSS),true)
- CFLAGS+=-DHAVE_LIBNSS
--INCLUDES+=-I/usr/include/nspr4 -I/usr/include/nss3
-+INCLUDES+=-I/usr/include/nspr -I/usr/include/nss
- endif
-diff --git a/lib/libdns/Makefile b/lib/libdns/Makefile
-index 9b1993f..be3f896 100644
---- a/lib/libdns/Makefile
-+++ b/lib/libdns/Makefile
-@@ -31,7 +31,7 @@ CINCLUDES =	-I${srcdir}${ISCARCH}/include \
- 		-I. -I./include -I${srcdir}include \
- 		-I${srcdir}../libisc/include
- CDEFINES = ${USERCOMPILE} ${PORTINCLUDE}
--CWARNINGS = -Werror
-+CWARNINGS =
- 
- CFLAGS+=${CINCLUDES} ${CDEFINES} ${CWARNINGS}
- 
-diff --git a/lib/libipsecconf/Makefile b/lib/libipsecconf/Makefile
-index 06f2786..f56b213 100644
---- a/lib/libipsecconf/Makefile
-+++ b/lib/libipsecconf/Makefile
-@@ -33,7 +33,7 @@ SRCS+=interfaces.c
- #CFLAGS+=-DFIPS_CHECK
- ifeq ($(USE_LIBNSS),true)
- CFLAGS+=-DHAVE_LIBNSS
--CFLAGS+=-I/usr/include/nspr4 -I/usr/include/nss3
-+CFLAGS+=-I/usr/include/nspr -I/usr/include/nss
- endif
- 
- ifeq ($(USE_NM),true)
-diff --git a/lib/libisc/Makefile b/lib/libisc/Makefile
-index 777b4b2..dcb082a 100644
---- a/lib/libisc/Makefile
-+++ b/lib/libisc/Makefile
-@@ -23,7 +23,7 @@ CINCLUDES =	-I${srcdir}${ISCARCH}/include \
- 		-I. -I./include -I${srcdir}include \
- 		$(PORTINCLUDE) -I${OPENSWANSRCDIR}/include
- CDEFINES = -DHAVE_STRERROR ${USERCOMPILE} ${PORTINCLUDE}
--# CWARNINGS = -Werror
-+CWARNINGS =
- 
- CFLAGS+=${CINCLUDES} ${CDEFINES} ${CWARNINGS}
- 
-diff --git a/lib/liblwres/Makefile b/lib/liblwres/Makefile
-index 4b045cc..c6d18a4 100644
---- a/lib/liblwres/Makefile
-+++ b/lib/liblwres/Makefile
-@@ -23,7 +23,7 @@ CINCLUDES =	-I${srcdir}${ISCARCH}/include \
- 		-I${srcdir}../libisc/include \
- 		-I. -I./include -I${srcdir}include 
- CDEFINES =
--CWARNINGS = -Werror
-+CWARNINGS =
- 
- CFLAGS+=${USERCOMPILE} ${PORTINCLUDE} ${CINCLUDES} ${CDEFINES} ${CWARNINGS} 
- 
-diff --git a/lib/libopenswan/Makefile b/lib/libopenswan/Makefile
-index 603abae..7be0ba3 100644
---- a/lib/libopenswan/Makefile
-+++ b/lib/libopenswan/Makefile
-@@ -105,7 +105,7 @@ endif
- 
- ifeq ($(USE_LIBNSS),true)
- CFLAGS+=-DHAVE_LIBNSS
--CFLAGS+=-I/usr/include/nspr4 -I/usr/include/nss3
-+CFLAGS+=-I/usr/include/nspr -I/usr/include/nss
- endif
- 
- ifeq ($(USE_MODP_RFC5114),true)
-diff --git a/packaging/makefiles/module.make b/packaging/makefiles/module.make
-index 74a9f09..6f21471 100644
---- a/packaging/makefiles/module.make
-+++ b/packaging/makefiles/module.make
-@@ -25,7 +25,6 @@ EXTRA_CFLAGS += -DDISABLE_UDP_CHECKSUM
- 
- EXTRA_CFLAGS += $(KLIPSCOMPILE)
- EXTRA_CFLAGS += -Wall -DIPCOMP_PREFIX
--#EXTRA_CFLAGS += -Werror
- #EXTRA_CFLAGS += -Wconversion 
- #EXTRA_CFLAGS += -Wmissing-prototypes 
- # 'override CFLAGS' should really be 'EXTRA_CFLAGS'
-diff --git a/programs/Makefile.program b/programs/Makefile.program
-index 800e0db..63a2d18 100644
---- a/programs/Makefile.program
-+++ b/programs/Makefile.program
-@@ -48,12 +48,7 @@ CFLAGS+=-DFINALCONFDDIR=\"${FINALCONFDDIR}\"
- CFLAGS+=-DFINALCONFFILE=\"${FINALCONFFILE}\"
- CFLAGS+=-DFINALVARDIR=\"${FINALVARDIR}\"
- 
--# die if there are any warnings
--ifndef WERROR
--WERROR:= -Werror
--endif
- 
--CFLAGS+= ${WERROR}
- 
- ifneq ($(LD_LIBRARY_PATH),)
- LDFLAGS=-L$(LD_LIBRARY_PATH)
-@@ -104,8 +99,6 @@ endif
- ifneq ($(NOINSTALL),true)
- 
- doinstall:: $(PROGRAM) $(CONFFILES) $(EXTRA8MAN) $(EXTRA5MAN) $(EXTRA5PROC) $(LIBFILES) $(CONFDFILES)
--	# remove any old vendor file installed previously
--	@rm -f $(FINALLIBEXECDIR)/vendor
- 	@mkdir -p $(PROGRAMDIR) $(MANDIR8) $(MANDIR5) $(LIBDIR) $(CONFDIR) $(CONFDDIR) $(CONFDDIR)/$(CONFDSUBDIR) $(EXAMPLECONFDIR)
- 	@if [ -n "$(PROGRAM)" ]; then $(INSTALL) $(INSTBINFLAGS) $(PROGRAM) $(PROGRAMDIR); fi
- 	@$(foreach f, $(addsuffix .8, $(PROGRAM)), \
-@@ -180,6 +173,7 @@ ifeq ($(USE_LIBNSS),false)
- LDLIBS=${LIBS} ${USERLINK} ${LIBS} ${EXTRALIBS} -lgmp
- else
- LDLIBS=${LIBS} ${USERLINK} ${LIBS} ${EXTRALIBS} -lgmp -lnspr4 -lnss3
-+LDFLAGS+=-L/usr/lib/nspr -L/usr/lib/nss
- endif
- 
- 
-diff --git a/programs/pluto/Makefile.options b/programs/pluto/Makefile.options
-index 99f0196..96340bd 100644
---- a/programs/pluto/Makefile.options
-+++ b/programs/pluto/Makefile.options
-@@ -44,7 +44,7 @@ endif
- 
- # -O on Linux makes gcc coredump when compiling sha1.c
- # -Wundef is nice but RHL5.2 compiler doesn't support it
--CFLAGS +=-g -Wall -W -Wmissing-prototypes -Wpointer-arith -Wbad-function-cast \
-+CFLAGS +=-Wall -W -Wmissing-prototypes -Wpointer-arith -Wbad-function-cast \
- 	-Wcast-qual -Wmissing-declarations -Wwrite-strings \
- 	-Wstrict-prototypes # -Wundef
- 
-@@ -58,7 +58,7 @@ HDRDIRS = -I${OPENSWANSRCDIR}/programs/pluto/linux26 -I${OPENSWANSRCDIR}/include
- 
- # Use LIBNSS
- ifeq ($(USE_LIBNSS),true)
--HDRDIRS+= -I/usr/include/nspr4 -I/usr/include/nss3	
-+HDRDIRS+= -I/usr/include/nspr -I/usr/include/nss	
- endif
- 
- # BYTE_ORDER = -DBIG_ENDIAN=4321 -DLITTLE_ENDIAN=1234 -DBYTE_ORDER=BIG_ENDIAN
-@@ -315,6 +315,7 @@ HAVE_LIBNSS=1
- DEFINES+=-DHAVE_LIBNSS
- LIBSPLUTO+= -lnspr4
- LIBSPLUTO+= -lnss3
-+LDFLAGS+=-L/usr/lib/nspr -L/usr/lib/nss
- # For avoiding implicit DSO linking
- LIBSPLUTO+= -lpthread
- ifeq ($(USE_FIPSCHECK),true)
-diff --git a/programs/rsasigkey/Makefile b/programs/rsasigkey/Makefile
-index 6c87280..ac117d5 100644
---- a/programs/rsasigkey/Makefile
-+++ b/programs/rsasigkey/Makefile
-@@ -21,13 +21,14 @@ ifeq ($(USE_FIPSCHECK),true)
- FIPS_CHECK=1
- CFLAGS+=-DFIPS_CHECK
- endif
--INCLUDES+=-I/usr/include/nspr4 -I/usr/include/nss3
-+INCLUDES+=-I/usr/include/nspr -I/usr/include/nss
- endif
- 
- PROGRAM=rsasigkey
- LIBS=${OPENSWANLIB} -lgmp
- ifeq ($(USE_LIBNSS),true)
- LIBS+= -lnspr4 -lnss3 -lplc4
-+LDFLAGS+=-L/usr/lib/nspr -L/usr/lib/nss
- ifeq ($(USE_FIPSCHECK),true)
- LIBS+=  -lfipscheck
- endif
-diff --git a/programs/setup/Makefile b/programs/setup/Makefile
-index acd6a30..541c7ed 100644
---- a/programs/setup/Makefile
-+++ b/programs/setup/Makefile
-@@ -16,11 +16,7 @@
- OPENSWANSRCDIR?=$(shell cd ../..; pwd)
- include ${OPENSWANSRCDIR}/Makefile.inc
- 
--# this dance is because setup has to get installed as /etc/rc.d/init.d/ipsec
--# not as /etc/rc.d/init.d/setup.
--PROGRAMDIR=$(RCDIR)
- PROGRAM=setup
--NOINSTALL=true
- EXTRA8MAN=setup.8
- 
- include ${srcdir}../Makefile.program
-@@ -34,13 +30,11 @@ doinstall:: $(PROGRAM) $(CONFFILES) $(EXTRA8MAN) $(EXTRA5MAN) $(EXTRA5PROC) $(LI
- 	# remove any old vendor file installed previously
- 	@rm -f $(BINDIR)/setup
- 	# check the directories we need exist (ie., make install DESTDIR=/tmp/IPsec)
--	@mkdir -p $(RCDIR) $(BINDIR)
-+	@mkdir -p $(BINDIR)
- 	# install and link everything
--	@$(INSTALL) $(INSTBINFLAGS) setup $(RCDIR)/ipsec
--	@ln -s $(FINALRCDIR)/ipsec $(BINDIR)/setup
-+	@$(INSTALL) $(INSTBINFLAGS) setup $(BINDIR)/setup
- 
- install_file_list::
--	@echo $(RCDIR)/ipsec
- 	@echo $(BINDIR)/setup
- 
- cleanall::
-diff --git a/programs/showhostkey/Makefile b/programs/showhostkey/Makefile
-index 3a127fc..decaf1c 100644
---- a/programs/showhostkey/Makefile
-+++ b/programs/showhostkey/Makefile
-@@ -16,7 +16,7 @@ OPENSWANSRCDIR?=$(shell cd ../..; pwd)
- include ${OPENSWANSRCDIR}/Makefile.inc
- ifeq ($(USE_LIBNSS),true)
- CFLAGS+=-DHAVE_LIBNSS
--INCLUDES+=-I/usr/include/nspr4 -I/usr/include/nss3
-+INCLUDES+=-I/usr/include/nspr -I/usr/include/nss
- endif
- 
- PROGRAM=showhostkey
--- 
-1.7.3.4
-

net-misc/openswan/metadata.xml

-<?xml version="1.0" encoding="UTF-8"?>
-<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
-<pkgmetadata>
-  <herd>no-herd</herd>
-  <maintainer>
-    <email>mrness@gentoo.org</email>
-    <name>Alin Năstac</name>
-    <description>Backup maintainer</description>
-  </maintainer>
-  <longdescription>From the Openswan web site: Openswan is an Open Source 
-implementation of IPsec for the Linux operating system. Is it a code fork 
-of the FreeS/WAN project, started by a few of the developers who were 
-growing frustrated with the politics surrounding the FreeS/WAN project.</longdescription>
-  <use>
-    <flag name="curl">Include curl support (used for fetching CRLs)</flag>
-    <flag name="ldap">Include LDAP support (used for fetching CRLs)</flag>
-    <flag name="extra-algorithms">Include additional strong algorithms
-    (Blowfish, Twofish, Serpent and SHA2)</flag>
-    <flag name="weak-algorithms">Include weak algorithms (DH1)</flag>
-    <flag name="nocrypto-algorithms">Include algorithms that don't even encrypt
-    (1DES)</flag>
-    <flag name="ms-bad-proposal">Allow bad IP address proposal offered by an
-    Microsoft L2TP/IPSec servers</flag>
-    <flag name="nss">Include libnss support (adds smartcard support)</flag>
-    <flag name="ssl">Use OpenSSL libraries for BIGNUM support</flag>
-  </use>
-</pkgmetadata>

net-misc/openswan/openswan-2.6.34.ebuild

-# Copyright 1999-2011 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/net-misc/openswan/openswan-2.6.31.ebuild,v 1.2 2011/06/06 06:18:52 robbat2 Exp $
-
-EAPI="2"
-
-inherit eutils linux-info toolchain-funcs flag-o-matic
-
-DESCRIPTION="Open Source implementation of IPsec for the Linux operating system (was SuperFreeS/WAN)."
-HOMEPAGE="http://www.openswan.org/"
-SRC_URI="http://www.openswan.org/download/${P}.tar.gz"
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="~amd64 ~ppc ~sparc ~x86"
-IUSE="caps curl ldap pam ssl extra-algorithms weak-algorithms nocrypto-algorithms ms-bad-proposal nss"
-
-COMMON_DEPEND="!net-misc/strongswan
-	dev-libs/gmp
-	dev-lang/perl
-	caps? ( sys-libs/libcap-ng )
-	curl? ( net-misc/curl )
-	ldap? ( net-nds/openldap )
-	nss? ( dev-libs/nss )
-	ssl? ( dev-libs/openssl )"
-DEPEND="${COMMON_DEPEND}
-	virtual/linux-sources
-	app-text/xmlto
-	app-text/docbook-xml-dtd:4.1.2" # see bug 237132
-RDEPEND="${COMMON_DEPEND}
-	virtual/logger
-	sys-apps/iproute2"
-
-pkg_setup() {
-	if use nocrypto-algorithms && ! use weak-algorithms; then
-		ewarn "Enabling nocrypto-algorithms USE flag has no effect when"
-		ewarn "weak-algorithms USE flag is disabled"
-	fi
-
-	linux-info_pkg_setup
-
-	if kernel_is -ge 2 6; then
-		einfo "This ebuild will set ${P} to use 2.6 native IPsec (KAME)."
-		einfo "KLIPS will not be compiled/installed."
-		MYMAKE="programs"
-
-	elif kernel_is 2 4; then
-		if ! [[ -d "${KERNEL_DIR}/net/ipsec" ]]; then
-			eerror "You need to have an IPsec enabled 2.4.x kernel."
-			eerror "Ensure you have one running and make a symlink to it in /usr/src/linux"
-			die
-		fi
-
-		einfo "Using patched-in IPsec code for kernel 2.4"
-		einfo "Your kernel only supports KLIPS for kernel level IPsec."
-		MYMAKE="confcheck programs"
-
-	else
-		die "Unsupported kernel version"
-	fi
-
-	# most code is OK, but programs/pluto code breaks strict aliasing
-	append-cflags -fno-strict-aliasing
-}
-
-src_prepare() {
-	epatch "${FILESDIR}"/${P}-gentoo.patch
-	use ms-bad-proposal && epatch "${FILESDIR}"/${PN}-${PV%.*}-allow-ms-bad-proposal.patch
-
-	find . -type f -regex '.*[.]\([1-8]\|html\|xml\)' -exec sed -i \
-	    -e s:/usr/local:/usr:g '{}' \; ||
-	    die "failed to replace text in docs"
-}
-
-get_make_options() {
-	echo KERNELSRC=\"${KERNEL_DIR}\"\
-		FINALEXAMPLECONFDIR=/usr/share/doc/${PF}\
-		INC_RCDEFAULT=/etc/init.d\
-		INC_USRLOCAL=/usr\
-		INC_MANDIR=share/man\
-		FINALDOCDIR=/usr/share/doc/${PF}/html\
-		FINALLIBDIR=/usr/$(get_libdir)/ipsec\
-		DESTDIR=\"${D}\"\
-		USERCOMPILE=\"${CFLAGS}\"\
-		CC=\"$(tc-getCC)\"
-
-	use caps\
-		&& echo USE_LIBCAP_NG=true\
-		|| echo USE_LIBCAP_NG=false
-
-	use curl\
-		&& echo USE_LIBCURL=true\
-		|| echo USE_LIBCURL=false
-
-	use ldap\
-		&& echo USE_LDAP=true\
-		|| echo USE_LDAP=false
-
-	echo USE_XAUTH=true
-	use pam\
-		&& echo USE_XAUTHPAM=true\
-		|| echo USE_XAUTHPAM=false
-
-	use nss\
-		&& echo USE_LIBNSS=true\
-		|| echo USE_LIBNSS=false
-
-	use ssl\
-		&& echo HAVE_OPENSSL=true\
-		|| echo HAVE_OPENSSL=false
-
-	use extra-algorithms\
-		&& echo USE_EXTRACRYPTO=true\
-		|| echo USE_EXTRACRYPTO=false
-	if use weak-algorithms ; then
-		echo USE_WEAKSTUFF=true
-		if use nocrypto-algorithms; then
-			echo USE_NOCRYPTO=true
-		fi
-	else
-		echo USE_WEAKSTUFF=false
-	fi
-
-	echo USE_LWRES=false # needs bind9 with lwres support
-	if use curl || use ldap || use pam; then
-		echo HAVE_THREADS=true
-	else
-		echo HAVE_THREADS=false
-	fi
-}
-
-src_compile() {
-	eval set -- $(get_make_options)
-	emake "$@" ${MYMAKE} || die "emake failed"
-}
-
-src_install() {
-	eval set -- $(get_make_options)
-	emake "$@" install || die "emake install failed"
-
-	dodoc docs/{KNOWN_BUGS*,RELEASE-NOTES*,PATENTS*,debugging*}
-	dohtml docs/html-old-need-merge-with-wiki/*.html
-	docinto quickstarts
-	dodoc docs/quickstarts/*
-
-	newinitd "${FILESDIR}"/ipsec-initd ipsec || die "failed to install init script"
-
-	keepdir /var/run/pluto
-}
-
-pkg_preinst() {
-	if has_version "<net-misc/openswan-2.6.14" && pushd "${ROOT}etc/ipsec"; then
-		ewarn "Following files and directories were moved from '${ROOT}etc/ipsec' to '${ROOT}etc':"
-		local i err=0
-		if [ -h "../ipsec.d" ]; then
-			rm "../ipsec.d" || die "failed to remove ../ipsec.d symlink"
-		fi
-		for i in *; do
-			if [ -e "../$i" ]; then
-				eerror "  $i NOT MOVED, ../$i already exists!"
-				err=1
-			elif [ -d "$i" ]; then
-				mv "$i" .. || die "failed to move $i directory"
-				ewarn "  directory $i"
-			elif [ -f "$i" ]; then
-				sed -i -e 's:/etc/ipsec/:/etc/:g' "$i" && \
-					mv "$i" .. && ewarn "  file $i" || \
-					die "failed to move $i file"
-			else
-				eerror "  $i NOT MOVED, it is not a file nor a directory!"
-				err=1
-			fi
-		done
-		popd
-		if [ $err -eq 0 ]; then
-			rmdir "${ROOT}etc/ipsec" || eerror "Failed to remove ${ROOT}etc/ipsec"
-		else
-			ewarn "${ROOT}etc/ipsec is not empty, you will have to remove it yourself"
-		fi
-	fi
-}
-
-pkg_postinst() {
-	if kernel_is -ge 2 6; then
-		CONFIG_CHECK="~NET_KEY ~INET_XFRM_MODE_TRANSPORT ~INET_XFRM_MODE_TUNNEL ~INET_AH ~INET_ESP ~INET_IPCOMP"
-		WARNING_INET_AH="CONFIG_INET_AH:\tmissing IPsec AH support (needed if you want only authentication)"
-		WARNING_INET_ESP="CONFIG_INET_ESP:\tmissing IPsec ESP support (needed if you want authentication and encryption)"
-		WARNING_INET_IPCOMP="CONFIG_INET_IPCOMP:\tmissing IPsec Payload Compression (required for compress=yes)"
-		check_extra_config
-	fi
-}
Tip: Filter by directory path e.g. /media app.js to search for public/media/app.js.
Tip: Use camelCasing e.g. ProjME to search for ProjectModifiedEvent.java.
Tip: Filter by extension type e.g. /repo .js to search for all .js files in the /repo directory.
Tip: Separate your search with spaces e.g. /ssh pom.xml to search for src/ssh/pom.xml.
Tip: Use ↑ and ↓ arrow keys to navigate and return to view the file.
Tip: You can also navigate files with Ctrl+j (next) and Ctrl+k (previous) and view the file with Ctrl+o.
Tip: You can also navigate files with Alt+j (next) and Alt+k (previous) and view the file with Alt+o.